<template>
  <v-app :dark="false">
    <CoreToolbar/>
    <BaseLoading/>
    <router-view></router-view>
    <ErrorMessage/>
    <SuccessMessage/>
  </v-app>
</template>
<script>
  import ErrorMessage from '@/components/base/ErrorMessage'
  import SuccessMessage from '@/components/base/SuccessMessage'
  import CoreNavDrawer from '@/components/core/NavDrawer';
  import CoreToolbar from '@/components/core/Toolbar';
  import BaseLoading from '@/components/base/Loading';

  export default {
    name: 'App',
    components: {
      BaseLoading,
      CoreToolbar,
      CoreNavDrawer,
      SuccessMessage,
      ErrorMessage
    },
    metaInfo () {
      return {
        title: this.$store.getters.appTitle,
        htmlAttrs: {
          lang: 'ru'
        },
        meta: [
          { name: 'msapplication-TileColor', content: '#ffc40d' },
          { name: 'theme-color', content: '#ffffff' },
          {
            name: 'apple-mobile-web-app-title',
            content: this.$store.getters.appTitle
          },
          { name: 'application-name', content: this.$store.getters.appTitle }
        ],
        link: [
          {
            rel: 'apple-touch-icon',
            sizes: '180x180',
            href: '/apple-touch-icon.png'
          },
          {
            rel: 'icon',
            type: 'image/png',
            sizes: '32x32',
            href: '/favicon-32x32.png'
          },
          {
            rel: 'icon',
            type: 'image/png',
            sizes: '16x16',
            href: '/favicon-16x16.png'
          },
          { rel: 'manifest', href: '/site.webmanifest' },
          {
            rel: 'mask-icon',
            color: '#5bbad5',
            href: '/safari-pinned-tab.svg'
          },
          { rel: 'favicon', href: '/favicon.ico' }
        ]
      }
    }
  }
</script>
<style>
  .primary {
    color: #ffffff !important;
  }

  .secondary {
    color: #ffffff !important;
  }

  .v-offset {
    background: inherit;
    top: -20px !important;
    margin: 0 auto;
    max-width: calc(100% - 32px);
    position: relative;
  }

  .full-height {
    height: 100%;
  }
</style>
